import { JupyterFrontEnd } from '@jupyterlab/application';
import { DocumentRegistry } from '@jupyterlab/docregistry';
import { INotebookModel, NotebookPanel } from '@jupyterlab/notebook';
import { IDisposable } from '@lumino/disposable';
import { ISignal } from '@lumino/signaling';
import { ICodeScanResponse } from '../constants/interface';
export declare class CreateCodeScanButtonExtension implements DocumentRegistry.IWidgetExtension<NotebookPanel, INotebookModel> {
    app: JupyterFrontEnd;
    private _stateChanged;
    constructor(app: JupyterFrontEnd);
    emitStatusChange(response: ICodeScanResponse): void;
    protected handleClick(): void;
    createNew(panel: NotebookPanel): IDisposable;
    get stateChanged(): ISignal<CreateCodeScanButtonExtension, ICodeScanResponse>;
}
