/// <reference types="react" />
import { ReactWidget } from '@jupyterlab/apputils';
export declare enum ErrorType {
    INSUFFICIENT_ACCESS_PERMISSIONS = "INSUFFICIENT_ACCESS_PERMISSIONS",
    MISSING_AWS_CREDENTIALS = "MISSING_AWS_CREDENTIALS"
}
interface ICodeScanError {
    errorType: ErrorType;
}
export declare class CodeScanErrorWidget extends ReactWidget {
    errorType: ErrorType;
    constructor(props: ICodeScanError);
    render(): JSX.Element;
}
export {};
